Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class CorePluginFinder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.CorePluginFinder

All Implemented Interfaces:
  ParentApplicationContextAware

    public class CorePluginFinder
    extends java.lang.Object

Loads core plugin classes. Contains functionality moved in from `DefaultGrailsPluginManager`.

Authors:
  Graeme Rocher
  Phil Zoio

Field Summary
`static java.lang.String` | `CORE_PLUGIN_PATTERN`

Constructor Summary
`CorePluginFinder(GrailsApplication application)`

Method Summary
`BinaryGrailsPluginDescriptor` | `getBinaryDescriptor(java.lang.Class pluginClass)`
`java.lang.Class[]` | `getPluginClasses()`
`void` | `setParentApplicationContext(org.springframework.context.ApplicationContext parent)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CORE_PLUGIN_PATTERN

    public static final java.lang.String CORE_PLUGIN_PATTERN

Constructor Detail

### CorePluginFinder

    public CorePluginFinder(GrailsApplication application)

Method Detail

### getBinaryDescriptor

    public BinaryGrailsPluginDescriptor getBinaryDescriptor(java.lang.Class pluginClass)

### getPluginClasses

    public java.lang.Class[] getPluginClasses()

### setParentApplicationContext

    public void setParentApplicationContext(org.springframework.context.ApplicationContext parent)

Groovy Documentation